package com.caliverse.admin.dynamodb.repository;

import com.caliverse.admin.dynamodb.domain.doc.OwnedBuildingDoc;
import com.caliverse.admin.dynamodb.entity.DynamodbOperationResult;

public interface OwnedBuildingRepository extends DynamoDBRepository<OwnedBuildingDoc> {
    OwnedBuildingDoc findOwnedBuilding(String guid, Integer buildingId);
    void insert(String guid, Integer buildingId);
    void delete(String guid, Integer buildingId);
    DynamodbOperationResult initOwnedBuilding(String guid, Integer buildingId);
}
